package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.MatterEntity;
/**
 * 事项申请材料业务查询对象
 *
 * @author zxfei
 * @date 2022-11-10
 */
public class MatterQuery extends MatterEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 从政务系统来的事项id */
    private List<String> tidList;

    /** 从政务系统来的事项code */
    private List<String> tcodeList;

    /** 从政务系统来的事项name */
    private List<String> tnameList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 英语事项名 */
    private List<String> englishNameList;

    /** 事项编号 */
    private List<String> matterNoList;

    /** 事项全称 */
    private List<String> matterFullNameList;

    /** 开始 部门ID */
    private Long deptIdStart;

    /** 结束 部门ID */
    private Long deptIdEnd;

    /** 增加 部门ID */
    private Long deptIdIncrement;

    /** 部门ID列表 */
    private List <Long> deptIdList;

    /** 部门编号 */
    private List<String> deptCodeList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 开始 填单次数 */
    private Integer totalStart;

    /** 结束 填单次数 */
    private Integer totalEnd;

    /** 增加 填单次数 */
    private Integer totalIncrement;

    /** 填单次数列表 */
    private List <Integer> totalList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 开始 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendStart;

    /** 结束 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendEnd;

    /** 增加 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendIncrement;

    /** 是否推荐(0.未推荐，1.推荐)列表 */
    private List <Integer> isRecommendList;

    /** 开始 是否推荐(0.手动添加，1.站点事项) */
    private Integer sourceStart;

    /** 结束 是否推荐(0.手动添加，1.站点事项) */
    private Integer sourceEnd;

    /** 增加 是否推荐(0.手动添加，1.站点事项) */
    private Integer sourceIncrement;

    /** 是否推荐(0.手动添加，1.站点事项)列表 */
    private List <Integer> sourceList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterQuery> andConditionList;

    public MatterQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 站点ID
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点ID
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点ID
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点ID
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 从政务系统来的事项id
     * @return tidList
     */
    public List<String> getTidList(){
        return this.tidList;
    }

    /**
     * 设置 从政务系统来的事项id
     * @param tidList
     */
    public void setTidList(List<String> tidList){
        this.tidList = tidList;
    }
    /**
     * 获取 从政务系统来的事项code
     * @return tcodeList
     */
    public List<String> getTcodeList(){
        return this.tcodeList;
    }

    /**
     * 设置 从政务系统来的事项code
     * @param tcodeList
     */
    public void setTcodeList(List<String> tcodeList){
        this.tcodeList = tcodeList;
    }
    /**
     * 获取 从政务系统来的事项name
     * @return tnameList
     */
    public List<String> getTnameList(){
        return this.tnameList;
    }

    /**
     * 设置 从政务系统来的事项name
     * @param tnameList
     */
    public void setTnameList(List<String> tnameList){
        this.tnameList = tnameList;
    }
    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
     * 获取 英语事项名
     * @return englishNameList
     */
    public List<String> getEnglishNameList(){
        return this.englishNameList;
    }

    /**
     * 设置 英语事项名
     * @param englishNameList
     */
    public void setEnglishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
    }
    /**
     * 获取 事项编号
     * @return matterNoList
     */
    public List<String> getMatterNoList(){
        return this.matterNoList;
    }

    /**
     * 设置 事项编号
     * @param matterNoList
     */
    public void setMatterNoList(List<String> matterNoList){
        this.matterNoList = matterNoList;
    }
    /**
     * 获取 事项全称
     * @return matterFullNameList
     */
    public List<String> getMatterFullNameList(){
        return this.matterFullNameList;
    }

    /**
     * 设置 事项全称
     * @param matterFullNameList
     */
    public void setMatterFullNameList(List<String> matterFullNameList){
        this.matterFullNameList = matterFullNameList;
    }
    /**
     * 获取 开始 部门ID
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门ID
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门ID
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门ID
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门ID
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门ID
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门ID
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门ID
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门编号
     * @return deptCodeList
     */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
     * 设置 部门编号
     * @param deptCodeList
     */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }
    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }
    /**
     * 获取 开始 填单次数
     * @return totalStart
     */
    public Integer getTotalStart(){
        return this.totalStart;
    }

    /**
     * 设置 开始 填单次数
     * @param totalStart
     */
    public void setTotalStart(Integer totalStart){
        this.totalStart = totalStart;
    }

    /**
     * 获取 结束 填单次数
     * @return $totalEnd
     */
    public Integer getTotalEnd(){
        return this.totalEnd;
    }

    /**
     * 设置 结束 填单次数
     * @param totalEnd
     */
    public void setTotalEnd(Integer totalEnd){
        this.totalEnd = totalEnd;
    }

    /**
     * 获取 增加 填单次数
     * @return totalIncrement
     */
    public Integer getTotalIncrement(){
        return this.totalIncrement;
    }

    /**
     * 设置 增加 填单次数
     * @param totalIncrement
     */
    public void setTotalIncrement(Integer totalIncrement){
        this.totalIncrement = totalIncrement;
    }

    /**
     * 获取 填单次数
     * @return totalList
     */
    public List<Integer> getTotalList(){
        return this.totalList;
    }

    /**
     * 设置 填单次数
     * @param totalList
     */
    public void setTotalList(List<Integer> totalList){
        this.totalList = totalList;
    }

    /**
     * 获取 开始 排序
     * @return sortStart
     */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
     * 设置 开始 排序
     * @param sortStart
     */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
     * 获取 结束 排序
     * @return $sortEnd
     */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
     * 设置 结束 排序
     * @param sortEnd
     */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
     * 获取 增加 排序
     * @return sortIncrement
     */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
     * 设置 增加 排序
     * @param sortIncrement
     */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
     * 获取 排序
     * @return sortList
     */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
     * 设置 排序
     * @param sortList
     */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
     * 获取 开始 是否推荐(0.未推荐，1.推荐)
     * @return isRecommendStart
     */
    public Integer getIsRecommendStart(){
        return this.isRecommendStart;
    }

    /**
     * 设置 开始 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendStart
     */
    public void setIsRecommendStart(Integer isRecommendStart){
        this.isRecommendStart = isRecommendStart;
    }

    /**
     * 获取 结束 是否推荐(0.未推荐，1.推荐)
     * @return $isRecommendEnd
     */
    public Integer getIsRecommendEnd(){
        return this.isRecommendEnd;
    }

    /**
     * 设置 结束 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendEnd
     */
    public void setIsRecommendEnd(Integer isRecommendEnd){
        this.isRecommendEnd = isRecommendEnd;
    }

    /**
     * 获取 增加 是否推荐(0.未推荐，1.推荐)
     * @return isRecommendIncrement
     */
    public Integer getIsRecommendIncrement(){
        return this.isRecommendIncrement;
    }

    /**
     * 设置 增加 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendIncrement
     */
    public void setIsRecommendIncrement(Integer isRecommendIncrement){
        this.isRecommendIncrement = isRecommendIncrement;
    }

    /**
     * 获取 是否推荐(0.未推荐，1.推荐)
     * @return isRecommendList
     */
    public List<Integer> getIsRecommendList(){
        return this.isRecommendList;
    }

    /**
     * 设置 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendList
     */
    public void setIsRecommendList(List<Integer> isRecommendList){
        this.isRecommendList = isRecommendList;
    }

    /**
     * 获取 开始 是否推荐(0.手动添加，1.站点事项)
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 是否推荐(0.手动添加，1.站点事项)
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 是否推荐(0.手动添加，1.站点事项)
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 是否推荐(0.手动添加，1.站点事项)
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 是否推荐(0.手动添加，1.站点事项)
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 是否推荐(0.手动添加，1.站点事项)
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 是否推荐(0.手动添加，1.站点事项)
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 是否推荐(0.手动添加，1.站点事项)
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键，自增长
     * @param id
     */
    public MatterQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public MatterQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public MatterQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public MatterQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public MatterQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  站点ID
     * @param siteId
     */
    public MatterQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public MatterQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public MatterQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public MatterQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public MatterQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }


    /**
     * 设置 从政务系统来的事项id
     * @param tid
     */
    public MatterQuery tid(String tid){
        setTid(tid);
        return this;
    }

    /**
     * 设置 从政务系统来的事项id
     * @param tidList
     */
    public MatterQuery tidList(List<String> tidList){
        this.tidList = tidList;
        return this;
    }


    /**
     * 设置 从政务系统来的事项code
     * @param tcode
     */
    public MatterQuery tcode(String tcode){
        setTcode(tcode);
        return this;
    }

    /**
     * 设置 从政务系统来的事项code
     * @param tcodeList
     */
    public MatterQuery tcodeList(List<String> tcodeList){
        this.tcodeList = tcodeList;
        return this;
    }


    /**
     * 设置 从政务系统来的事项name
     * @param tname
     */
    public MatterQuery tname(String tname){
        setTname(tname);
        return this;
    }

    /**
     * 设置 从政务系统来的事项name
     * @param tnameList
     */
    public MatterQuery tnameList(List<String> tnameList){
        this.tnameList = tnameList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public MatterQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public MatterQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 英语事项名
     * @param englishName
     */
    public MatterQuery englishName(String englishName){
        setEnglishName(englishName);
        return this;
    }

    /**
     * 设置 英语事项名
     * @param englishNameList
     */
    public MatterQuery englishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
        return this;
    }


    /**
     * 设置 事项编号
     * @param matterNo
     */
    public MatterQuery matterNo(String matterNo){
        setMatterNo(matterNo);
        return this;
    }

    /**
     * 设置 事项编号
     * @param matterNoList
     */
    public MatterQuery matterNoList(List<String> matterNoList){
        this.matterNoList = matterNoList;
        return this;
    }


    /**
     * 设置 事项全称
     * @param matterFullName
     */
    public MatterQuery matterFullName(String matterFullName){
        setMatterFullName(matterFullName);
        return this;
    }

    /**
     * 设置 事项全称
     * @param matterFullNameList
     */
    public MatterQuery matterFullNameList(List<String> matterFullNameList){
        this.matterFullNameList = matterFullNameList;
        return this;
    }

    /**
     * 设置  部门ID
     * @param deptId
     */
    public MatterQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门ID
     * @param deptIdStart
     */
    public MatterQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门ID
     * @param deptIdEnd
     */
    public MatterQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门ID
     * @param deptIdIncrement
     */
    public MatterQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门ID
     * @param deptIdList
     */
    public MatterQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }


    /**
     * 设置 部门编号
     * @param deptCode
     */
    public MatterQuery deptCode(String deptCode){
        setDeptCode(deptCode);
        return this;
    }

    /**
     * 设置 部门编号
     * @param deptCodeList
     */
    public MatterQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public MatterQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public MatterQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  填单次数
     * @param total
     */
    public MatterQuery total(Integer total){
        setTotal(total);
        return this;
    }

    /**
     * 设置 开始 填单次数
     * @param totalStart
     */
    public MatterQuery totalStart(Integer totalStart){
        this.totalStart = totalStart;
        return this;
    }

    /**
     * 设置 结束 填单次数
     * @param totalEnd
     */
    public MatterQuery totalEnd(Integer totalEnd){
        this.totalEnd = totalEnd;
        return this;
    }

    /**
     * 设置 增加 填单次数
     * @param totalIncrement
     */
    public MatterQuery totalIncrement(Integer totalIncrement){
        this.totalIncrement = totalIncrement;
        return this;
    }

    /**
     * 设置 填单次数
     * @param totalList
     */
    public MatterQuery totalList(List<Integer> totalList){
        this.totalList = totalList;
        return this;
    }

    /**
     * 设置  排序
     * @param sort
     */
    public MatterQuery sort(Integer sort){
        setSort(sort);
        return this;
    }

    /**
     * 设置 开始 排序
     * @param sortStart
     */
    public MatterQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
        return this;
    }

    /**
     * 设置 结束 排序
     * @param sortEnd
     */
    public MatterQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
        return this;
    }

    /**
     * 设置 增加 排序
     * @param sortIncrement
     */
    public MatterQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
        return this;
    }

    /**
     * 设置 排序
     * @param sortList
     */
    public MatterQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
        return this;
    }

    /**
     * 设置  是否推荐(0.未推荐，1.推荐)
     * @param isRecommend
     */
    public MatterQuery isRecommend(Integer isRecommend){
        setIsRecommend(isRecommend);
        return this;
    }

    /**
     * 设置 开始 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendStart
     */
    public MatterQuery isRecommendStart(Integer isRecommendStart){
        this.isRecommendStart = isRecommendStart;
        return this;
    }

    /**
     * 设置 结束 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendEnd
     */
    public MatterQuery isRecommendEnd(Integer isRecommendEnd){
        this.isRecommendEnd = isRecommendEnd;
        return this;
    }

    /**
     * 设置 增加 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendIncrement
     */
    public MatterQuery isRecommendIncrement(Integer isRecommendIncrement){
        this.isRecommendIncrement = isRecommendIncrement;
        return this;
    }

    /**
     * 设置 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendList
     */
    public MatterQuery isRecommendList(List<Integer> isRecommendList){
        this.isRecommendList = isRecommendList;
        return this;
    }

    /**
     * 设置  是否推荐(0.手动添加，1.站点事项)
     * @param source
     */
    public MatterQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 是否推荐(0.手动添加，1.站点事项)
     * @param sourceStart
     */
    public MatterQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 是否推荐(0.手动添加，1.站点事项)
     * @param sourceEnd
     */
    public MatterQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 是否推荐(0.手动添加，1.站点事项)
     * @param sourceIncrement
     */
    public MatterQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 是否推荐(0.手动添加，1.站点事项)
     * @param sourceList
     */
    public MatterQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public MatterQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public MatterQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public MatterQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public MatterQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public MatterQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<MatterQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<MatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<MatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<MatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}